---
title: pydo.vector_databases.list()
description: List All Vector Databases
product: Reference
url: https://docs.digitalocean.com/reference/pydo/reference/vector_databases/list/
last_updated: "2026-08-03"
---

> **For AI agents:** The documentation index is at [https://docs.digitalocean.com/llms.txt](https://docs.digitalocean.com/llms.txt). Markdown versions of pages use the same URL with `index.html.md` in place of the HTML page (for example, append `index.html.md` to the directory path instead of opening the HTML document).

# pydo.vector_databases.list()

Generated on 3 Aug 2026 from `pydo` version [`v0.40.0`](https://github.com/digitalocean/pydo/releases/tag/v0.40.0v0.40.0)

## Usage

```python
client.vector_databases.list(page=None, per_page=None)
```

Returns `JSON`Raises `HttpResponseError`

## Description

To list all of the vector databases on your account, send a GET request to [`/v2/vector-databases`](https://docs.digitalocean.com/reference/api/reference/vector-databases/index.html.md#vectorDatabases_list). Use the `page` and `per_page` query parameters to paginate the results. The response body contains a `vector_dbs` array of vector database objects and a `total` field with the overall count.

## Parameters

`page` integer optional

`per_page` integer optional

## Pagination

This method returns paginated results. The response includes a `links.pages` object with URLs for navigating between pages. To retrieve the next page, parse the `next` URL and pass the `page` parameter:

```python
from urllib.parse import urlparse, parse_qs

resp = client.vector_databases.list()
pages = resp.get("links", {}).get("pages", {})

while "next" in pages:
    parsed = urlparse(pages["next"])
    page = int(parse_qs(parsed.query)["page"][0])
    resp = client.vector_databases.list(page=page)
    pages = resp.get("links", {}).get("pages", {})
```

## Response Example

## Show Response Example

```json
{
  "total": 123,
  "vector_dbs": [
    {
      "created_at": "2023-01-01T00:00:00Z",
      "forked_from_id": "123e4567-e89b-12d3-a456-426614174000",
      "id": "example string",
      "last_restore_id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "example name",
      "owner_uuid": "123e4567-e89b-12d3-a456-426614174000",
      "project_id": "123e4567-e89b-12d3-a456-426614174000",
      "region": "tor1",
      "size": "example string",
      "status": "example string",
      "tags": [
        "example string"
      ],
      "updated_at": "2023-01-01T00:00:00Z"
    }
  ]
}
```

## More Information

See [`/v2/vector-databases`](https://docs.digitalocean.com/reference/api/reference/vector-databases/index.html.md#vectorDatabases_list) in the API reference for additional detail on responses, headers, parameters, and more.